openapi: 3.0.3
info:
  title: Swagger ARMA Property dutch
  version: 1.0.11

components:
  schemas:
    base.MultiLang:
      x-baseClass: 'prozorro_sale.registry.models.base.MultiLang'
      type: object
      title: base.MultiLang
      description: ' Multi language string model '
      properties:
        uk_UA:
          x-legalNameUa: Назва українською
          x-legalNameEn: Ukrainian name
          type: string
          minLength: 1
        en_US:
          x-legalNameUa: Назва англійською
          x-legalNameEn: English name
          type: string
    base.Value:
      type: object
      title: base.Value
      description: |
        Value model
        Містить дані щодо вартості. За замовчуванням: валюта - гривня. Може використовуватися для реєстраційного і гарантійного внесків і т.д.
      properties:
        currency:
          type: string
          default: UAH
          enum:
            - UAH
            - USD
            - EUR
          x-legalNameUa: Валюта
          x-legalNameEn: Currency
        amount:
          type: number
          format: float
          x-format: decimal-float
          example: 10.0
          minimum: 0
          x-legalNameUa: Сума
          x-legalNameEn: Amount
      required:
        - currency
        - amount
    base.AccountIdentification:
      x-baseClass: 'prozorro_sale.procedure.models.base.AccountIdentification'
      type: object
      title: base.AccountIdentification
      description: |
        АccountIdentification model <br>
        Містить дані щодо можливих, до заповнення, банківських ідентифікаторів, є обов'язковою складовою моделі BankAccount
      properties:
        description:
          readOnly: true
          allOf:
            - $ref: '#/components/schemas/base.MultiLang'
          x-legalNameUa: Опис до банківських реквізитів
          x-legalNameEn: Account identification description
        scheme:
          description: |
            Обирається одне значення зі словника https://procedure-sandbox.prozorro.sale/api/dictionaries/accountIdentifiers (Окрім FOR-IBAN)
          type: string
          x-dictionaries:
            - accountIdentifiers
          x-exclude-masks:
            - FOR-IBAN
          x-legalNameUa: Тип банківського ідентифікатора
          x-legalNameEn: Account identification type
        id:
          type: string
          x-legalNameUa: Ідентифікатор
          x-legalNameEn: Account identification ID
      required:
        - id
        - scheme
    base.ValueWithTax:
      x-baseClass: 'prozorro_sale.procedure.models.base.ValueWithTax'
      type: object
      title: base.ValueWithTax
      description: |
        Value model <br>
        Містить дані щодо вартості. За замовчуванням: валюта - гривня, ПДВ - включено. Може використовуватися для стартової ціни лота, кроку аукціону і т.д.
      allOf:
        - $ref: '#/components/schemas/base.Value'
        - type: object
          properties:
            amount:
              type: number
              format: float
              x-format: decimal-float
              example: 10.0
              minimum: 0
              exclusiveMinimum: true
              x-legalNameUa: Сума
              x-legalNameEn: Amount
            valueAddedTaxIncluded:
              type: boolean
              default: true
              x-legalNameUa: Податок
              x-legalNameEn: Tax
          required:
            - currency
            - amount
    base.Classification:
      x-baseClass: 'prozorro_sale.procedure.models.base.Classification'
      type: object
      title: base.Classification
      properties:
        scheme:
          type: string
          enum:
            - CAV
          x-legalNameUa: Схема класифікатора
          x-legalNameEn: Item classification scheme
        description:
          readOnly: true
          allOf:
            - $ref: '#/components/schemas/base.MultiLang'
          x-legalNameUa: Опис коду класифікатора
          x-legalNameEn: Classification description
        id:
          type: string
          x-legalNameUa: Код класифікатора
          x-legalNameEn: Classification ID
      required:
        - scheme
        - id
    base.Unit:
      x-baseClass: 'prozorro_sale.procedure.models.base.Unit'
      type: object
      title: base.Unit
      description: |
        Unit model
        Містить дані щодо одиницю виміру (код), значення якої має обиратися зі словника
      properties:
        code:
          description: |
            словник https://procedure-sandbox.prozorro.sale/api/classifiers/unitCode <br>
            Обов'язково вказувати, який саме код одиниці виміру необхідно використовувати в рамках кожної окремої процедури
          type: string
          readOnly: true
          x-legalNameUa: Код одиниці виміру
          x-legalNameEn: Unit code
        name:
          readOnly: true
          allOf:
            - $ref: '#/components/schemas/base.MultiLang'
          x-legalNameUa: Назва одиниці виміру
          x-legalNameEn: Item unit name
      required:
        - code
    base.Item:
      type: object
      title: base.Item
      x-baseClass: 'prozorro_sale.procedure.models.base.Item'
      description: |
        Item model <br>
        Описує склад лота.
      properties:
        id:
          type: string
          readOnly: true
          x-default: hex
          x-legalNameUa: Внутрішній ідентифікатор об'єкта
          x-legalNameEn: Item ID
        description:
          x-legalNameUa: Опис об'єкта
          x-legalNameEn: Item description
          allOf:
            - $ref: '#/components/schemas/base.MultiLang'
        classification:
          allOf:
            - $ref: '#/components/schemas/base.Classification'
          x-legalNameUa: Класифікатор об'єкта
          x-legalNameEn: Item classification
        unit:
          allOf:
            - $ref: '#/components/schemas/base.Unit'
          x-legalNameUa: Одиниці виміру об'єкта
          x-legalNameEn: Item unit
        quantity:
          type: number
          format: float
          minimum: 0
          x-strict: 4
          example: 11.1126
          x-legalNameUa: Кількість одиниць
          x-legalNameEn: Item quantity
        address:
          x-format: polymodel
          x-claim-func: 'prozorro_sale.procedure.models.utils.address_claim_func'
          anyOf:
            - $ref: '#/components/schemas/base.Address'
            - $ref: '#/components/schemas/base.AddressUa'
          x-legalNameUa: Місцезнаходження
          x-legalNameEn: Item address
      required:
        - description
        - classification
        - unit
        - quantity
    base.Location:
      type: object
      title: base.Location
      description: ' Location model '
      properties:
        latitude:
          type: string
          x-legalNameUa: Широта
          x-legalNameEn: Latitude
        longitude:
          type: string
          x-legalNameUa: Довгота
          x-legalNameEn: Longitude
        elevation:
          type: string
          x-legalNameUa: Висота
          x-legalNameEn: Elevation
      required:
        - latitude
        - longitude
    base.Document:
      x-baseClass: 'prozorro_sale.registry.models.base.Document'
      type: object
      title: base.Document
      description: |
        Document model <br>
        Містить дані щодо структури документу
      properties:
        id:
          type: string
          x-default: hex
          x-legalNameUa: Ідентифікатор документу
          x-legalNameEn: Document ID
          readOnly: true
        title:
          allOf:
            - $ref: '#/components/schemas/base.MultiLang'
          x-legalNameUa: Назва документу
          x-legalNameEn: Document title
        description:
          allOf:
            - $ref: '#/components/schemas/base.MultiLang'
          x-legalNameUa: Опис документу
          x-legalNameEn: Document description
        url:
          type: string
          x-format: ds-url
          x-legalNameUa: Посилання на документ
          x-legalNameEn: Document link
          readOnly: true
          example: 'http://string.com'
        relatedDocument:
          description: |
            Ідентифікатор, що відображається тільки в документі digitalSignature та використовується <br>
            для відображення зв'язку між цифровим підписом та документом об'єкту реєстру.
          type: string
          example: 5e300ec4080b60d45dc28bb8
          x-legalNameUa: Пов'язаний документ
          x-legalNameEn: Related document
        documentOf:
          type: string
          x-dictionaries:
            - documentOf
          description: |
            Обирається одне значення зі словника https://procedure-sandbox.prozorro.sale/api/dictionaries/documentOf
          x-legalNameUa: Об'єкт документу
          x-legalNameEn: Document object
        documentType:
          type: string
          x-legalNameUa: Тип документу
          x-legalNameEn: Document type
          readOnly: true
        datePublished:
          type: string
          format: date-time
          x-default: now
          x-legalNameUa: Дата публікації документу
          x-legalNameEn: Document publishing date
          readOnly: true
        dateModified:
          type: string
          format: date-time
          x-default: now
          x-legalNameUa: Остання дата редагування документу
          x-legalNameEn: Document modified date
          readOnly: true
        index:
          description: |
            Чим менше значення поля, тим вище документ буде при відображенні на майданчиках. <br>
            Основним документом вважається документ з мінімальним значенням індексу. <br>
            Якщо параметр не зазначений, документи будуть виводитись останніми у переліку. <br>
            Якщо кілька документів мають однакове значення параметру, порядок сортування буде залежати від dateModified, <br>
            Пріоритет у документів доданих раніше.
          type: integer
          format: int64
          x-legalNameUa: Параметр сортування ілюстрацій
          x-legalNameEn: Document index
        format:
          type: string
          x-legalNameUa: Формат документу
          x-legalNameEn: Document format
          readOnly: true
        language:
          type: string
          x-legalNameUa: Мова документу
          x-legalNameEn: Document language
        hash:
          type: string
          x-legalNameUa: Хеш документу
          x-legalNameEn: Document hash
        token:
          type: string
        _ds_id:
          description: Ідентифікатор документа в document service
          type: string
          readOnly: true
        _ds_scope:
          description: Тип документа за доступом [public/private]
          type: string
          readOnly: true
      required:
        - title
        - documentOf
    base.Identifier:
      x-baseClass: 'prozorro_sale.registry.models.base.Identifier'
      type: object
      title: base.Identifier
      description: |
        Identifier model
        Містить дані щодо ідентифікації суб'єкта'
      properties:
        scheme:
          description: |
            Обирається одне значення зі словника https://procedure-sandbox.prozorro.sale/api/classifiers/ua_identifiers або зі словника https://procedure-sandbox.prozorro.sale/api/classifiers/identifiers
          type: string
          x-dictionaries:
            - identifiers
            - ua_identifiers
          x-legalNameUa: Ідентифікатори організації або особи
          x-legalNameEn: ID type
        legalName:
          allOf:
            - $ref: '#/components/schemas/base.MultiLang'
          x-legalNameUa: Повна юридична назва організації або ПІБ фізичної особи
          x-legalNameEn: Legal name
        id:
          type: string
          x-legalNameUa: Код ЄДРПОУ або ІПН або паспорт
          x-legalNameEn: ID
      required:
        - scheme
        - legalName
        - id
    base.AddressIdentifier:
      type: object
      title: base.AddressIdentifier
      x-baseClass: 'prozorro_sale.registry.models.base.AddressIdentifier'
      properties:
        scheme:
          description: обирається зі словника https://procedure-sandbox.prozorro.sale/api/classifiers/koatuu
          type: string
          enum:
            - koatuu
          x-legalNameUa: Класифікатор об’єктів адміністративно-територіального устрою України
          x-legalNameEn: Type of objects of administrative-territorial organization of Ukraine
        name:
          readOnly: true
          allOf:
            - $ref: '#/components/schemas/base.MultiLang'
          x-legalNameUa: Назва адміністративно-територіальних об’єктів України
          x-legalNameEn: Name of objects of administrative-territorial organization of Ukraine
        id:
          type: string
          x-legalNameUa: Код адміністративно-територіальних об’єктів України
          x-legalNameEn: ID of objects of administrative-territorial organization of Ukraine
      required:
        - scheme
        - id
    base.Address:
      x-baseClass: 'prozorro_sale.registry.models.base.Address'
      type: object
      title: base.Address
      description: |
        Address model <br>
        Може містити дані щодо місцезнаходження об'єкту чи суб'єкту.
      properties:
        addressID:
          type: object
          deprecated: true
          allOf:
            - $ref: '#/components/schemas/base.AddressIdentifier'
          x-legalNameUa: Код об’єктів адміністративно-територіального устрою України
          x-legalNameEn: ID of objects of administrative-territorial organization of Ukraine
        streetAddress:
          allOf:
            - $ref: '#/components/schemas/base.MultiLang'
          x-legalNameUa: Адреса
          x-legalNameEn: Address
        locality:
          allOf:
            - $ref: '#/components/schemas/base.MultiLang'
          x-legalNameUa: Населений пункт
          x-legalNameEn: City
        region:
          allOf:
            - $ref: '#/components/schemas/base.MultiLang'
          x-legalNameUa: Область
          x-legalNameEn: Region
        postalCode:
          type: string
          x-legalNameUa: Поштовий індекс
          x-legalNameEn: ZIP code
        countryName:
          allOf:
            - $ref: '#/components/schemas/base.MultiLang'
      required:
        - countryName
    base.AddressUa:
      title: base.AddressUa
      allOf:
        - $ref: '#/components/schemas/base.Address'
        - type: object
          properties:
            region:
              allOf:
                - $ref: '#/components/schemas/base.MultiLang'
                - type: object
                  properties:
                    uk_UA:
                      type: string
                      enum:
                        - Автономна Республіка Крим
                        - Вінницька область
                        - Волинська область
                        - Дніпропетровська область
                        - Донецька область
                        - Житомирська область
                        - Закарпатська область
                        - Запорізька область
                        - Івано-Франківська область
                        - Київська область
                        - Київ
                        - Кіровоградська область
                        - Луганська область
                        - Львівська область
                        - Миколаївська область
                        - Одеська область
                        - Полтавська область
                        - Рівненська область
                        - Севастополь
                        - Сумська область
                        - Тернопільська область
                        - Харківська область
                        - Херсонська область
                        - Хмельницька область
                        - Черкаська область
                        - Чернівецька область
                        - Чернігівська область
              x-legalNameUa: Область
              x-legalNameEn: Region
            countryName:
              allOf:
                - $ref: '#/components/schemas/base.MultiLang'
                - type: object
                  properties:
                    uk_UA:
                      type: string
                      enum:
                        - Україна
            postalCode:
              type: string
              pattern: '^[0-9]{5}$'
              x-legalNameUa: Поштовий індекс
              x-legalNameEn: ZIP code
          required:
            - region
            - countryName
            - locality
    base.ContactPoint:
      type: object
      title: base.ContactPoint
      description: |
        ContactPoint model <br>
        Містить дані про контакту особу та може використовуватися для будь-якого суб'єкта
      properties:
        name:
          allOf:
            - $ref: '#/components/schemas/base.MultiLang'
          x-legalNameUa: ПІБ
          x-legalNameEn: Main contact name
        email:
          type: string
          format: email
          x-legalNameUa: Адреса електронної пошти
          x-legalNameEn: Main contact e-mail
        telephone:
          type: string
          pattern: '^[+0][0-9]+$'
          x-legalNameUa: Номер телефону
          x-legalNameEn: Main contact tel
        faxNumber:
          type: string
          pattern: '^[+][0-9]+$'
          x-legalNameUa: Номер факсу
          x-legalNameEn: Main contact fax
        url:
          type: string
          format: uri
          example: 'http://string.com'
          x-legalNameUa: Веб адреса
          x-legalNameEn: Website
      required:
        - name
        - email
        - telephone
    base.Organization:
      x-baseClass: 'prozorro_sale.registry.models.base.Organization'
      type: object
      title: base.Organization
      description: |
        Organization model <br>
        Містить дані про суб'єкта'
      properties:
        name:
          description: |
            автогенерується з поля identifier.legalName
          readOnly: true
          allOf:
            - $ref: '#/components/schemas/base.MultiLang'
          x-legalNameUa: Повна юридична назва організації або ПІБ
          x-legalNameEn: Legal name or Full Name
        identifier:
          allOf:
            - $ref: '#/components/schemas/base.Identifier'
          x-legalNameUa: Ідентифікатори організації, фізичної особи або ФОП
          x-legalNameEn: Identifier
        address:
          x-format: polymodel
          x-claim-func: 'prozorro_sale.registry.models.utils.address_claim_func'
          anyOf:
            - allOf:
                - $ref: '#/components/schemas/base.Address'
                - type: object
                  required:
                    - streetAddress
                    - locality
                    - region
                    - countryName
            - allOf:
                - $ref: '#/components/schemas/base.AddressUa'
                - type: object
                  required:
                    - streetAddress
                    - locality
                    - region
                    - countryName
          x-legalNameUa: Адреса організації
          x-legalNameEn: Address
        contactPoint:
          allOf:
            - $ref: '#/components/schemas/base.ContactPoint'
          x-legalNameUa: Контактна особа
          x-legalNameEn: Main contact
        representativeInfo:
          type: string
          example: "Довіреність № 123 від 22.02.2012, дійсна до 30.03.2012/Наказ № 142 від 14.12.2019/Статут ТОВ Кульбаба від 24.07.2002"
          x-legalNameUa: Інформація щодо підтвердження повноважень
          x-legalNameEn: Representative information
      required:
        - identifier
        - contactPoint
        - address
    base.OrganizationWithoutContacts:
      x-baseClass: 'prozorro_sale.procedure.models.base.OrganizationWithoutContacts'
      type: object
      title: base.OrganizationWithoutContacts
      description: |
        Organization without contacts model <br>
        Містить дані про учасника аукціону (у тому числі ідентифікаційні дані та місцезнаходження)
      properties:
        name:
          description: |
            автогенерується з поля identifier.legalName
          allOf:
            - $ref: '#/components/schemas/base.MultiLang'
          x-legalNameUa: Повна юридична назва організації або ПІБ
          x-legalNameEn: Legal name or Full Name
          readOnly: true
        identifier:
          allOf:
            - $ref: '#/components/schemas/base.Identifier'
          x-legalNameUa: Ідентифікатори організації або особи
          x-legalNameEn: Identifier
        address:
          x-format: polymodel
          x-claim-func: 'prozorro_sale.procedure.models.utils.address_claim_func'
          anyOf:
            - allOf:
              - $ref: '#/components/schemas/base.Address'
              - type: object
                required:
                  - streetAddress
                  - locality
                  - region
                  - countryName
            - allOf:
              - $ref: '#/components/schemas/base.AddressUa'
              - type: object
                required:
                  - streetAddress
                  - locality
                  - region
                  - countryName
          x-legalNameUa: Адреса
          x-legalNameEn: Address
        representativeInfo:
          description: Інформація про документ або дані, що підтверджують повноваження представника юридичної особи (наприклад довіреність)
          type: string
          example: "Довіреність № 123 від 22.02.2012, дійсна до 30.03.2012/Наказ № 142 від 14.12.2019/Статут ТОВ Кульбаба від 24.07.2002"
          x-legalNameUa: Інформація щодо підтвердження повноважень
          x-legalNameEn: Representative information
      required:
        - identifier
        - address
    base.Question:
      x-baseClass: 'prozorro_sale.procedure.models.base.Question'
      type: object
      title: base.Question
      description: |
        Question model <br>
        Описує сервіс обговорення аукціону (запитання-відповідь)
      properties:
        owner:
          type: string
          readOnly: true
          x-legalNameUa: Ідентифікатор майданчика
          x-legalNameEn: Broker ID
        ownerToken:
          type: string
          format: uuid
          readOnly: true
          x-default: hex
        id:
          type: string
          readOnly: true
          x-default: hex
          x-legalNameUa: Ідентифікатор запитання
          x-legalNameEn: Question ID
        author:
          allOf:
            - $ref: '#/components/schemas/base.ContactPoint'
          x-legalNameUa: Автор запитання
          x-legalNameEn: Question author
        title:
          allOf:
            - $ref: '#/components/schemas/base.MultiLang'
          x-legalNameUa: Назва запитання
          x-legalNameEn: Question title
        description:
          allOf:
            - $ref: '#/components/schemas/base.MultiLang'
          x-legalNameUa: Текст запитання
          x-legalNameEn: Question description
        datePublished:
          type: string
          format: date-time
          readOnly: true
          x-default: now
          x-legalNameUa: Дата публікації запитання
          x-legalNameEn: Question date
        dateModified:
          type: string
          format: date-time
          readOnly: true
          x-default: now
          x-legalNameUa: Дата редагування запитання
          x-legalNameEn: Question modification date
        dateAnswered:
          type: string
          format: date-time
          readOnly: true
          x-legalNameUa: Дата відповіді на запитання
          x-legalNameEn: Answer date
        answer:
          allOf:
            - $ref: '#/components/schemas/base.MultiLang'
          x-legalNameUa: Відповідь на запитання
          x-legalNameEn: Answer
        canUpdateUntil:
          type: string
          format: date-time
          description: |
            Верхня межа часу, до якого включно допускається оновлювати створене запитання.  <br>
            Автогенерується враховуючи дату публікації запитання + 2 години
          readOnly: true
      required:
        - author
        - title
    base.BankAccountHolder:
      x-baseClass: 'prozorro_sale.procedure.models.base.BankAccountHolder'
      type: object
      title: base.BankAccountHolder
      description: |
        BankAccountHolder model <br>
        Містить дані про банківські реквизити одержувача<br>
        Обов'язкове до заповнення
      properties:
        name:
          description: |
            автогенерується з поля identifier.legalName
          allOf:
            - $ref: '#/components/schemas/base.MultiLang'
          x-legalNameUa: Найменування одержувача
          x-legalNameEn: Account holder
          readOnly: true
        identifier:
          allOf:
            - $ref: '#/components/schemas/base.Identifier'
            - type: object
          x-legalNameUa: Ідентифікатор одержувача
          x-legalNameEn: Identifier
      required:
        - identifier
      x-legalNameUa: Реквізити одержувача
      x-legalNameEn: Account holder
    base.BankAccount:
      x-baseClass: 'prozorro_sale.procedure.models.base.BankAccount'
      type: object
      title: base.BankAccount
      description: |
        BankAccount model <br>
        Містить дані про банківські реквизити <br>
        За умови заповнення будь-якого з полів в bankAccount обов'язкове до заповнення як мінімум 1 схема з accountIdentifications
      properties:
        id:
          type: string
          readOnly: true
          x-default: hex
          x-legalNameUa: Ідентифікатор банківського рахунку
          x-legalNameEn: Bank account ID
        bankName:
          allOf:
            - $ref: '#/components/schemas/base.MultiLang'
          x-legalNameUa: Назва банку
          x-legalNameEn: Bank name
        description:
          allOf:
            - $ref: '#/components/schemas/base.MultiLang'
          x-legalNameUa: Опис
          x-legalNameEn: Bank account description
        accountHolder:
          allOf:
            - $ref: '#/components/schemas/base.BankAccountHolder'
          x-legalNameUa: Реквізити одержувача
          x-legalNameEn: Account holder
        accountIdentifications:
          type: array
          default: [ ]
          minItems: 1
          items:
            $ref: '#/components/schemas/base.AccountIdentification'
          x-legalNameUa: Банківські реквізити
          x-legalNameEn: Account identifications
      required:
        - accountHolder
        - accountIdentifications
    base.BankAccountWithCurrency:
      title: base.BankAccountWithCurrency
      description: |
        BankAccount model with currency <br>
        Містить дані про банківські реквизити з вказуванням валюти
      allOf:
        - $ref: '#/components/schemas/base.BankAccount'
        - type: object
          properties:
            currency:
              type: string
              enum:
                - UAH
                - USD
                - EUR
              x-legalNameUa: Валюта
              x-legalNameEn: Currency
          required:
            - accountHolder
            - accountIdentifications
            - currency
    base.AdditionalClassification:
      x-baseClass: 'prozorro_sale.procedure.models.base.AdditionalClassification'
      type: object
      title: base.AdditionalClassification
      description: |
        Модель додаткового класифікатора, що є не обов''язковою складовою моделі Item, значення обирається зі словника.<br>
        Посилання на ендпоінт з класифікаторами: https://procedure-sandbox.prozorro.sale/api/classifiers.<br>
        Містить додаткові можливі дані про лот. В моделі Item може бути необмежена кількість додаткових класифікаторів.
      properties:
        scheme:
          type: string
          x-legalNameUa: Схема додаткового класифікатору
          x-legalNameEn: Item additional classification scheme
        description:
          x-legalNameUa: Опис додаткового класифікатору
          x-legalNameEn: Item additional classification description
          readOnly: true
          allOf:
            - $ref: '#/components/schemas/base.MultiLang'
        id:
          type: string
          x-legalNameUa: Код додаткового класифікатору
          x-legalNameEn: Item additional classification ID
      required:
        - scheme
        - id
    base.LandProps:
      type: object
      title: base.LandProps
      # todo: create separate class because it can inherit/override redundant fields
      x-baseClass: 'prozorro_sale.procedure.models.base.BaseItemProps'
      description: |
        Model with specific properties for land <br>
        Специфічні поля для типу об'єкта Земельна ділянка
      properties:
        itemPropsType:
          type: string
          readOnly: true
          default: land
        landArea:
          type: number
          format: float
          example: 1285.0
          minimum: 0
          maximum: 60362800
          x-legalNameUa: Площа ділянки, га
          x-legalNameEn: Land area, ha
        cadastralNumber:
          type: string
          example: 0000000000:00:000:0000
          pattern: '^[0-9]{10}:[0-9]{2}:[0-9]{3}:[0-9]{4}$'
          x-legalNameUa: Кадастровий номер
          x-legalNameEn: Cadastral number
        ownershipType:
          type: string
          x-dictionaries:
            - ownershipType
          description: Обирається одне значення зі словника https://procedure-sandbox.prozorro.sale/api/dictionaries/ownershipType
          x-legalNameUa: Тип власності
          x-legalNameEn: Ownership type
        encumbrances:
          type: string
          x-dictionaries:
            - encumbrances
          description: Обирається одне значення зі словника https://procedure-sandbox.prozorro.sale/api/dictionaries/encumbrances
          x-legalNameUa: Наявність обтяжень
          x-legalNameEn: Encumbrances
        jointOwnership:
          type: string
          x-legalNameUa: Наявність співвласників
          x-legalNameEn: Joint owner ship
        utilitiesAvailability:
          type: string
          x-legalNameUa: Наявність інженерних мереж
          x-legalNameEn: Utilities availability
    base.RealEstateBaseProps:
      type: object
      title: base.RealEstateBaseProps
      x-baseClass: 'prozorro_sale.procedure.models.base.RealEstateBaseProps'
      description: |
        Model with specific base properties for real estate <br>
        Специфічні базові поля для типу об'єкта Нерухоме майно
      properties:
        itemPropsType:
          type: string
          readOnly: true
          default: realEstate
        totalBuildingArea:
          type: number
          format: float
          example: 1285.0
          minimum: 0
          x-legalNameUa: Загальна площа будівлі, кв.м.
          x-legalNameEn: The total area of the building, sq.m.
        totalObjectArea:
          type: number
          format: float
          example: 1285.0
          minimum: 0
          x-legalNameUa: Загальна площа об''єкта в будівлі, кв.м.
          x-legalNameEn: The total object area of the building, sq.m.
        usableArea:
          type: number
          format: float
          example: 1285.0
          minimum: 0
          x-legalNameUa: Корисна площа об''єкта в будівлі, кв.м.
          x-legalNameEn: The usable object area of the building, sq.m.
        constructionYear:
          type: integer
          format: int64
          example: 1983
          x-legalNameUa: Рік будівництва
          x-legalNameEn: Construction year
        constructionTechnology:
          type: string
          x-dictionaries:
            - constructionTechnology
          description: |
            Обирається одне значення зі словника https://procedure-sandbox.prozorro.sale/api/dictionaries/constructionTechnology
          x-legalNameUa: Технологія будівництва
          x-legalNameEn: Construction technology
        livingArea:
          type: number
          format: float
          example: 1285.0
          minimum: 0
          x-legalNameUa: Житлова площа, кв. м
          x-legalNameEn: Living area, sq.m.
        kitchenArea:
          type: number
          format: float
          example: 1285.0
          minimum: 0
          x-legalNameUa: Площа кухні, кв. м
          x-legalNameEn: Kitchen area, sq.m.
        landArea:
          type: number
          format: float
          example: 1285.0
          minimum: 0
          x-legalNameUa: Площа ділянки, кв. м
          x-legalNameEn: Land area, sq.m.
        locationInBuilding:
          type: string
          x-dictionaries:
            - floorType
          description: |
            Обирається одне значення зі словника https://procedure-sandbox.prozorro.sale/api/dictionaries/floorType
          x-legalNameUa: Місце розташування об’єкта в будівлі
          x-legalNameEn: Location of the object in the building
        floors:
          type: string
          x-legalNameUa: Номер поверху або поверхів
          x-legalNameEn: Floor(s) number
          example: 2-3, 7
    base.RealEstateProps:
      x-baseClass: 'prozorro_sale.procedure.models.base.RealEstateBaseProps'
      type: object
      title: base.RealEstateProps
      description: |
        Model with specific extended properties for real estate <br>
        Специфічні розширені поля для типу об'єкта Нерухоме майно
      allOf:
        - $ref: '#/components/schemas/base.RealEstateBaseProps'
        - type: object
          properties:
            generalCondition:
              type: string
              x-legalNameUa: Технічний стан об'єкта
              x-legalNameEn: Technical condition of the object
            serviceElectricity:
              type: boolean
              x-legalNameUa: Чи приєднаний об'єкт до електромережі
              x-legalNameEn: Connection to the electrical network
            powerSupplyCapacity:
              type: number
              format: float
              example: 42.0
              minimum: 0
              x-legalNameUa: Потужність електромережі, кВт
              x-legalNameEn: Power supply, kW
            powerSupplyClass:
              type: string
              x-dictionaries:
                - powerSupplyClass
              description: |
                Обирається одне значення зі словника https://procedure-sandbox.prozorro.sale/api/dictionaries/powerSupplyClass
              x-legalNameUa: Ступінь потужності електромережі
              x-legalNameEn: Power supply class
            serviceWater:
              type: boolean
              x-legalNameUa: Водозабезпечення присутнє
              x-legalNameEn: Water supply is present
            serviceSewerage:
              type: boolean
              x-legalNameUa: Каналізація присутня
              x-legalNameEn: Sewerage is present
            serviceGas:
              type: boolean
              x-legalNameUa: Газифікація присутня
              x-legalNameEn: Gasification is present
            serviceCentralHeating:
              type: boolean
              x-legalNameUa: Централізоване опалення присутнє
              x-legalNameEn: Centralized heating is present
            serviceAutonomousHeating:
              type: boolean
              x-legalNameUa: Автономне опалення присутнє
              x-legalNameEn: Autonomous heating is present
            serviceHeatingCounter:
              type: boolean
              x-legalNameUa: Лічильник опалення присутній
              x-legalNameEn: Heating meter is present
            serviceVentilation:
              type: boolean
              x-legalNameUa: Вентиляція присутня
              x-legalNameEn: Ventilation is present
            serviceAirConditioning:
              type: boolean
              x-legalNameUa: Кондиціонування присутнє
              x-legalNameEn: Air conditioning is present
            servicePhone:
              type: boolean
              x-legalNameUa: Телефонізація присутня
              x-legalNameEn: Telephony is present
            serviceTV:
              type: boolean
              x-legalNameUa: Телебачення присутнє
              x-legalNameEn: Television is present
            serviceInternet:
              type: boolean
              x-legalNameUa: Інтернет присутній
              x-legalNameEn: Internet is present
            serviceElevator:
              type: boolean
              x-legalNameUa: Ліфт присутній
              x-legalNameEn: Elevator is present
            serviceSecurityAlarm:
              type: boolean
              x-legalNameUa: Охоронна сигналізація присутня
              x-legalNameEn: Security alarm is present
            serviceFireAlarm:
              type: boolean
              x-legalNameUa: Пожежна сигналізація присутня
              x-legalNameEn: Fire alarm is present
            servicesDescription:
              type: string
              x-legalNameUa: Додаткова інформація щодо комунікацій, що є в об''єкті
              x-legalNameEn: Additional information regarding communications available in the facility
              example: Водопостачання - Центральне, Свердловина; Газопостачання - Наявне; Опалення - Центральне, Автономне газове, Автономне електричне; Каналізація - Центральна, Септик
            servicesAccounting:
              type: string
              x-legalNameUa: Інформація про наявність окремих особових рахунків на об'єкт, відкритих постачальниками комунальних послуг
              x-legalNameEn: Information on the availability of separate personal accounts for the object, opened by utility providers
            landTax:
              type: string
              x-legalNameUa: Інформація щодо компенсації сплати земельного податку за користування земельною ділянкою, на якій розташований об'єкт
              x-legalNameEn: Information on compensation for the payment of land tax for the use of the land plot on which the object is located
          required:
            - totalObjectArea
    base.JointPropertyComplexProps:
      type: object
      title: base.JointPropertyComplexProps
      # todo: create separate class because it can inherit/override redundant fields
      x-baseClass: 'prozorro_sale.procedure.models.base.BaseItemProps'
      description: |
        Model with specific properties for Joint Property Complex <br>
        Специфічні поля для типу об'єкта ЄМК
      properties:
        itemPropsType:
          type: string
          readOnly: true
          default: jointPropertyComplex
        quantityAndNomenclature:
          type: string
          x-legalNameUa: Обсяг та основна номенклатура продукції (робіт, послуг), у тому числі експортної
          x-legalNameEn: Quantity and basic nomenclature of products (works, services), including export
        workplacesQuantity:
          type: integer
          format: int64
          example: 500
          x-legalNameUa: Кількість робочих місць, ociб
          x-legalNameEn: Workplaces quantity, persons
        buildingsInformation:
          type: string
          x-legalNameUa: Відомості про будівлі (споруди, приміщення) єдиного майнового комплексу в обсязі, передбаченому для інформації про нерухоме майно
          x-legalNameEn: Information about buildings (structures, premises) of a single property complex
          example: Будівлі А, Б, В, Г, Д, склад Д, розбірна конструкція Є, ТП 4305, прохідна, мощення
        landPlotInformation:
          type: string
          x-legalNameUa: Відомості про земельну ділянку, на якій розташовано єдиний майновий комплекс
          x-legalNameEn: Information about the land plot on which the property complex is located
          example: Площа ділянки, кадастровий номер - '8000000000:72:233:0018' або обліковий номер
        landProps:
          allOf:
            - $ref: '#/components/schemas/base.LandProps'
            - type: object
              properties:
                landIntendedUse:
                  type: string
                  x-legalNameUa: Поточне використання земельної ділянки
                  x-legalNameEn: Land intended use
          x-legalNameUa: Характеристики земельної ділянки
          x-legalNameEn: Characteristics of the land plot
        mainObligations:
          type: string
          x-legalNameUa: Основні зобов’язання (договірні та позадоговірні)
          x-legalNameEn: Main obligations (contractual and non-contractual)
          example: Договір поставки №4 від 12.09.2019 року. Зобов'язання виробити для ТОВ «АлкоВайн» 300 літрів горілки «Найкраща». Зобов'язання за кредитним договором №5 від 30.06.2018 року, укладеного з банком ПАТ «Грошібанк» в розмірі 2,4 млн грн.
    base.VehicleProps:
      type: object
      title: base.VehicleProps
      x-baseClass: 'prozorro_sale.procedure.models.base.VehicleProps'
      description: |
        Model with specific properties for vehicle <br>
        Специфічні поля для типу об'єкта Транспортний засіб
      properties:
        itemPropsType:
          type: string
          readOnly: true
          default: vehicle
        brand:
          type: string
          x-legalNameUa: Марка транспортного засобу
          x-legalNameEn: Vehicle Brand
        model:
          type: string
          x-legalNameUa: Модель транспортного засобу
          x-legalNameEn: Vehicle model
        productionYear:
          type: integer
          format: int64
          example: 2008
          x-legalNameUa: Рік випуску
          x-legalNameEn: Production date
        engineCapacity:
          type: number
          format: float
          example: 1598
          x-legalNameUa: Об’єм двигуна, см³
          x-legalNameEn: Cubic capacity, cm³
        fuelType:
          type: string
          x-dictionaries:
            - fuelType
          description: |
            Обирається одне значення зі словника https://procedure-sandbox.prozorro.sale/api/dictionaries/fuelType
          x-legalNameUa: Тип палива
          x-legalNameEn: Fuel type
        transmission:
          type: string
          x-dictionaries:
            - transmissionType
          description: |
            Обирається одне значення зі словника https://procedure-sandbox.prozorro.sale/api/dictionaries/transmissionType
          x-legalNameUa: Тип коробки передач
          x-legalNameEn: Transmission type
        color:
          type: string
          x-legalNameUa: Колір
          x-legalNameEn: Colour
        kilometrage:
          type: number
          format: float
          example: 55550
          x-legalNameUa: Пробіг, км
          x-legalNameEn: Kilometrage, km
        identificationNumber:
          type: string
          x-legalNameUa: Номер кузова або шасі (VIN-код)
          x-legalNameEn: Identification number
        configuration:
          type: string
          x-legalNameUa: Комплектація
          x-legalNameEn: Configuration
        condition:
          type: string
          x-legalNameUa: Технічний стан
          x-legalNameEn: Condition
        damagedDescription:
          description: in case damagedPresence true should be required
          type: string
          x-legalNameUa: Опис пошкоджень
          x-legalNameEn: Damaged description
        damagePresence:
          type: boolean
          default: false
          x-legalNameUa: Потреба у ремонті
          x-legalNameEn: Repair need
    base.RegistrationDetails:
      type: object
      title: base.RegistrationDetails
      properties:
        registrationStatus:
          type: string
          description: |
            Обирається одне значення зі словника https://procedure-sandbox.prozorro.sale/api/dictionaries/registrationStatus
          x-dictionaries:
            - registrationStatus
          x-legalNameUa: Cтатус реєстрації
          x-legalNameEn: Registration status
        registrationID:
          type: string
          x-legalNameUa: Номер запису
          x-legalNameEn: Registration ID
        registrationDate:
          type: string
          format: date-time
          x-legalNameUa: Дата реєстрації
          x-legalNameEn: Registration date
    base.RequiredRegistrationDetails:
      x-baseClass: 'prozorro_sale.procedure.models.base.RequiredRegistrationDetails'
      title: base.RequiredRegistrationDetails
      description: |
        Якщо зі словника registrationState в полі registrationStatus вибрано properlyRegistered - поля registrationID та registrationDate обов'язкові
      allOf:
        - $ref: '#/components/schemas/base.RegistrationDetails'
        - type: object
          properties:
            registrationStatus:
              type: string
              x-dictionaries:
                - registrationState
              description: |
                Обирається одне значення зі словника https://procedure-sandbox.prozorro.sale/api/dictionaries/registrationState
              x-legalNameUa: Стан державної реєстрації об''єкту
              x-legalNameEn: State of official registration of the registry
            registrationID:
              type: string
              minLength: 1
              x-legalNameUa: Номер запису
              x-legalNameEn: Registration ID
            registrationDate:
              type: string
              format: date-time
              x-legalNameUa: Дата реєстрації
              x-legalNameEn: Registration date
          required:
            - registrationStatus
    base.AwardWithoutBid:
      x-baseClass: 'prozorro_sale.procedure.models.base.AwardWithoutBid'
      type: object
      title: base.AwardWithoutBid
      description: |
        Award model <br>
        Містить дані щодо об'єкта, що формується за результатами аукціону в межах якого відбувається кваліфікація кожного окремого учасника <br>
        LegalNames значень у полі status мають бути додані в документ з лигнеймами для процедури.
      properties:
        id:
          type: string
          x-legalNameUa: Ідентифікатор кваліфікації учасника аукціону
          x-legalNameEn: Award ID
          x-default: hex
          readOnly: true
        title:
          x-legalNameUa: Назва рішення щодо кваліфікації учасника аукціону
          x-legalNameEn: Award title
          allOf:
            - $ref: '#/components/schemas/base.MultiLang'
        description:
          x-legalNameUa: Опис рішення щодо кваліфікації учасника аукціону
          x-legalNameEn: Award description
          allOf:
            - $ref: '#/components/schemas/base.MultiLang'
        status:
          type: string
          x-legalNameUa: Статус кваліфікації учасника аукціону
          x-legalNameEn: Award status
        terminationReason:
          type: string
          x-legalNameUa: Причина дискваліфікації/відмови учаснику
          x-legalNameEn: Disqualification reason
        datePublished:
          type: string
          format: date-time
          x-legalNameUa: Дата початку кваліфікації учасника аукціону
          x-legalNameEn: Award date
          x-default: now
          readOnly: true
        value:
          allOf:
            - $ref: '#/components/schemas/base.Value'
          x-legalNameUa: Цінова пропозиція
          x-legalNameEn: Award price
        buyers:
          type: array
          default: [ ]
          items:
            $ref: '#/components/schemas/base.Organization'
          x-legalNameUa: Інформація про учасника
          x-legalNameEn: Successful bidders
        items:
          type: array
          x-format: list-object
          default: [ ]
          items:
            $ref: '#/components/schemas/base.Item'
          x-legalNameUa: Склад лоту
          x-legalNameEn: Award item
        documents:
          type: array
          x-format: list-object
          default: [ ]
          items:
            type: object
            allOf:
              - $ref: '#/components/schemas/base.Document'
              - type: object
                properties:
                  documentType:
                    type: string
                    enum:
                      - auctionProtocol
                      - rejectionProtocol
                      - act
                      - digitalSignature
                  documentOf:
                    type: string
                    readOnly: true
                    enum:
                      - award
          x-legalNameUa: Документи до аварду
          x-legalNameEn: Award Documents
        dateModified:
          type: string
          format: date-time
          x-legalNameUa: Дата редагування
          x-legalNameEn: Award modification date
          x-default: now
          readOnly: true
      required:
        - value
    base.Award:
      x-baseClass: 'prozorro_sale.procedure.models.base.Award'
      type: object
      title: base.Award
      description: Award model
      allOf:
        - $ref: '#/components/schemas/base.AwardWithoutBid'
        - type: object
          properties:
            bidId:
              type: string
              x-legalNameUa: Ідентифікатор заяви на участь учасника аукціону
              x-legalNameEn: Award bid ID
              readOnly: true
          required:
            - bidId
            - value
    base.Period:
      x-baseClass: 'prozorro_sale.procedure.models.base.Period'
      type: object
      title: base.Period
      description: |
        Period model <br>
        Містить дані щодо кожного з періодів процедури, а також аварду та договору (за наявності).
      properties:
        startDate:
          type: string
          format: date-time
          readOnly: true
          x-default: now
          x-legalNameUa: Дата та час початку
          x-legalNameEn: Start date
        endDate:
          type: string
          format: date-time
          readOnly: true
          x-legalNameUa: Дата та час завершення
          x-legalNameEn: End date
      required:
        - startDate
    base.DutchMinimalStep:
      x-baseClass: 'prozorro_sale.procedure.models.base.DutchMinimalStep'
      title: base.DutchMinimalStep
      type: object
      description: |
        Крок аукціону складає 1% від стартової ціни
      properties:
        currency:
          type: string
          enum:
            - UAH
            - USD
            - EUR
          default: UAH
          readOnly: true
          x-legalNameUa: Валюта
          x-legalNameEn: Currency
        amount:
          type: number
          format: float
          readOnly: true
          x-format: decimal-float
          x-legalNameUa: Сума
          x-legalNameEn: Amount
      x-legalNameUa: Розмір кроку аукціону
      x-legalNameEn: Minimal step
    base.DutchStep:
      x-baseClass: 'prozorro_sale.procedure.models.base.DutchStep'
      type: object
      description: |
        Поля dutchStepPercent та dutchStepValue автогенеруються на рівні ЦБД, без можливості внесення змін Організатором <br>
        Для поля dutchStepQuantity ЦБД формує дефолтне значення згідно процедури, Організатор має можливість змінити дефолтне значення.
      x-legalNameUa: Крок голландського раунду
      x-legalNameEn: Dutch steps
      title: base.DutchStep
      properties:
        dutchStepQuantity:
          type: integer
          format: int64
          minimum: 1
          x-legalNameUa: Кількість кроків
          x-legalNameEn: Dutch steps quantity
        dutchStepPercent:
          type: integer
          format: int64
          default: 1
          readOnly: true
          x-legalNameUa: Відсоток зниження, %
          x-legalNameEn: Percentage reduction, %
        dutchStepValue:
          description: автогеровано, розраховується як 1 % від стартової ціни
          type: object
          readOnly: true
          allOf:
            - $ref: '#/components/schemas/base.Value'
          x-legalNameUa: Розмір кроку голландського раунду, грн
          x-legalNameEn: Dutch step value
    base.Bid:
      type: object
      title: base.Bid
      description: |
        Bid model <br>
        Містить дані заяви на участь, її автора (учасника) та цінову пропозицію
      x-baseClass: 'prozorro_sale.procedure.models.base.Bid'
      properties:
        owner:
          type: string
          readOnly: true
          x-legalNameUa: Ідентифікатор майданчика
          x-legalNameEn: Broker ID
        ownerToken:
          type: string
          format: uuid
          readOnly: true
          x-default: hex
        id:
          type: string
          readOnly: true
          x-default: hex
          x-legalNameUa: Ідентифікатор заяви на участь
          x-legalNameEn: Bid ID
        bidders:
          type: array
          minItems: 1
          maxItems: 1
          items:
            $ref: '#/components/schemas/base.Organization'
          x-legalNameUa: Інформація про учасника
          x-legalNameEn: Bidder
        datePublished:
          type: string
          format: date-time
          readOnly: true
          x-default: now
          x-legalNameUa: Дата заяви на участь
          x-legalNameEn: Bid date
        dateModified:
          type: string
          format: date-time
          readOnly: true
          x-default: now
          x-legalNameUa: Остання дата редагування ставки
          x-legalNameEn: Bid modified date
        status:
          description: необхідно вказувати можливі значення в залежності від процедури, наприклад, draft, active, deleted
          type: string
          x-legalNameUa: Статус заяви на участь
          x-legalNameEn: Bid status
        value:
          allOf:
            - $ref: '#/components/schemas/base.Value'
          x-legalNameUa: Цінова пропозиція
          x-legalNameEn: Bid price amount
        documents:
          description: |
            поле має містити перелік типів документів, які вимагаються нормативною документацією для кожної окремої процедури
          type: array
          x-format: list-object
          default: [ ]
          items:
            type: object
            allOf:
              - $ref: '#/components/schemas/base.Document'
              - type: object
                properties:
                  documentOf:
                    type: string
                    enum:
                      - bid
          x-legalNameUa: Документи до заяви про участь
          x-legalNameEn: Documents
        participationUrl:
          description: Веб-адреса, яка доступна тільки для учасника, що подав заяву на участь в аукціоні. <br>
            Час генерації посилання відповідає моменту набуття процедурою статусу active.auction
          type: string
          x-format: rel-auth-url
          readOnly: true
          example: /api/auth/auction?token=token
          x-legalNameUa: Веб-адреса для участі в аукціоні
          x-legalNameEn: Bidder participation link
        order:
          type: integer
          format: int64
          readOnly: true
      required:
        - bidders
    base.InfiniteContract:
      x-baseClass: 'prozorro_sale.procedure.models.base.InfiniteContract'
      type: object
      title: base.InfiniteContract
      description: |
        Contract model<br>
        Містить дані щодо договору, який формується, підписується та публікується в рамках процедури.
      properties:
        id:
          type: string
          readOnly: true
          x-default: hex
          x-legalNameUa: Внутрішній ідентифікатор контракту
          x-legalNameEn: Contract ID
        awardId:
          type: string
          readOnly: true
          x-legalNameUa: Ідентифікатор переможця
          x-legalNameEn: Award ID
        contractNumber:
          type: string
          minLength: 1
          x-legalNameUa: Номер договору
          x-legalNameEn: Contract's number
        title:
          allOf:
            - $ref: '#/components/schemas/base.MultiLang'
          x-legalNameUa: Назва договору
          x-legalNameEn: Contract's title
        description:
          allOf:
            - $ref: '#/components/schemas/base.MultiLang'
          x-legalNameUa: Опис договору
          x-legalNameEn: Contract's description
        value:
          allOf:
            - $ref: '#/components/schemas/base.Value'
          readOnly: true
          x-legalNameUa: Вартість договору
          x-legalNameEn: Contract's price
        contractTotalValue:
          description: Дані зазначаються Організатором, вказується заключна вартість договору в грн. (UAH)
          allOf:
            - $ref: '#/components/schemas/base.Value'
          x-legalNameUa: Заключна вартість договору
          x-legalNameEn: Total contract's value
        items:
          type: array
          x-format: list-object
          default: [ ]
          items:
            $ref: '#/components/schemas/base.Item'
          x-legalNameUa: Склад лоту
          x-legalNameEn: Contract's item
        buyers:
          type: array
          default: [ ]
          items:
            $ref: '#/components/schemas/base.Organization'
          readOnly: true
          x-legalNameUa: Переможець
          x-legalNameEn: Contract's winners
        status:
          description: |
            вказувати перелік статусів (enum)
          type: string
          readOnly: true
          x-legalNameUa: Статус договору
          x-legalNameEn: Contract's status
        dateSigned:
          type: string
          format: date-time
          x-legalNameUa: Дата підписання договору
          x-legalNameEn: Signing date
        datePublished:
          type: string
          format: date-time
          readOnly: true
          x-default: now
          x-legalNameUa: Дата створення об'єкта договору
          x-legalNameEn: Contract's creation date
        dateModified:
          type: string
          format: date-time
          readOnly: true
          x-default: now
          x-legalNameUa: Остання дата редагування договору
          x-legalNameEn: Contract's modified date
        documents:
          type: array
          x-format: list-object
          default: [ ]
          items:
            type: object
            allOf:
              - $ref: '#/components/schemas/base.Document'
              - type: object
                properties:
                  documentType:
                    type: string
                    enum:
                      - contractNotice
                      - contractSigned
                      - contractAnnexe
          x-legalNameUa: Документи та додатки пов’язані з договором
          x-legalNameEn: Contract's documents
      required:
        - awardId
    base.LifeTime:
      type: object
      title: base.LifeTime
      x-baseClass: 'prozorro_sale.procedure.models.base.LifeTime'
      description: 'LifeTime model Містить дані щодо тривалості періоду (від - до). dateTill > dateFrom'
      properties:
        dateFrom:
          type: string
          format: date-time
          x-default: now
          x-legalNameUa: Період з
          x-legalNameEn: Date from
        dateTill:
          type: string
          format: date-time
          x-legalNameUa: Період по
          x-legalNameEn: Date till
      required:
        - dateFrom
        - dateTill
    base.Contract:
      x-baseClass: 'prozorro_sale.procedure.models.base.Contract'
      type: object
      title: base.Contract
      allOf:
        - $ref: '#/components/schemas/base.InfiniteContract'
        - type: object
          properties:
            contractTime:
              type: object
              allOf:
                - $ref: '#/components/schemas/base.LifeTime'
              x-legalNameUa: Строк дії договору
              x-legalNameEn: Contract's terms
    base.CancellationDocument:
      type: object
      title: base.CancellationDocument
      allOf:
        - $ref: '#/components/schemas/base.Document'
        - type: object
          properties:
            documentType:
              type: string
              enum:
                - cancellationDetails
                - digitalSignature
            documentOf:
              type: string
              readOnly: true
              enum:
                - cancellation
          x-legalNameUa: Документи та додатки пов’язані зі скасуванням
          x-legalNameEn: Cancellation documents
    base.Cancellation:
      x-baseClass: 'prozorro_sale.procedure.models.base.Cancellation'
      type: object
      title: base.Cancellation
      description: |
        Cancellation model <br>
        Містить дані щодо скасування аукціону
      properties:
        id:
          type: string
          readOnly: true
          x-legalNameUa: Ідентифікатор об'єкта скасування
          x-legalNameEn: Aucton cancellation ID
          x-default: hex
        reason:
          x-legalNameUa: Причина скасування Аукціону
          x-legalNameEn: Cancellation reason
          allOf:
            - $ref: '#/components/schemas/base.MultiLang'
        documents:
          type: array
          x-format: list-object
          default: [ ]
          items:
            type: object
            allOf:
              - $ref: '#/components/schemas/base.CancellationDocument'
        datePublished:
          type: string
          format: date-time
          x-legalNameUa: Дата скасування
          x-legalNameEn: Cancellation date
      required:
        - datePublished
        - reason
        - documents
    base.SellingEntityIdentifier:
      type: object
      title: base.SellingEntityIdentifier
      description: |
        SellingEntityIdentifier model <br>
        Містить дані щодо індентифікації Організатора аукціону, що є юридичною особою, що створена та зареєстрована відповідно до законодавства України з місцезнаходженням на її території.
      allOf:
        - $ref: '#/components/schemas/base.Identifier'
        - type: object
          properties:
            scheme:
              description: |
                Обирається одне значення зі словника https://procedure-sandbox.prozorro.sale/api/classifiers/ua_identifiers
              type: string
              x-dictionaries:
                - ua_identifiers
              x-legalNameUa: Тип ідентифікації Організатора аукціону
              x-legalNameEn: Organizer ID type
    base.SellingEntity:
      type: object
      title: base.SellingEntity
      description: |
        SellingEntity model <br>
        Містить дані про організатора аукціону, який може бути виключно юридичною особою, що створена та зареєстрована відповідно до законодавства України з місцезнаходженням на її території.
      allOf:
        - $ref: '#/components/schemas/base.Organization'
        - type: object
          properties:
            identifier:
              allOf:
                - $ref: '#/components/schemas/base.SellingEntityIdentifier'
              x-legalNameUa: Ідентифікатор Організатора аукціону
              x-legalNameEn: Organizer ID
            address:
              description: |
                Модель адреси, що містить дані щодо місцезнаходження Організатора аукціону, <br>
                що є юридичною особою, що створена та зареєстрована відповідно до законодавства України<br>
                з місцезнаходженням на її території
              allOf:
                - $ref: '#/components/schemas/base.AddressUa'
                - type: object
                  required:
                    - streetAddress
                    - locality
                    - region
                    - countryName
              x-legalNameUa: Місцезнаходження Організатора аукціону
              x-legalNameEn: Organizer address
    base.ManagingEntityIdentifier:
      type: object
      title: base.ManagingEntityIdentifier
      description: |
        ManagingEntityIdentifier model <br>
        Містить дані щодо індентифікації юридичної особи, що створена та зареєстрована відповідно до законодавства України.
      allOf:
        - $ref: '#/components/schemas/base.SellingEntityIdentifier'
        - type: object
          properties:
            scheme:
              description: |
                Організатор може обрати єдине можливе значення UA-EDR зі словника https://procedure-sandbox.prozorro.sale/api/classifiers/ua_identifiers
              type: string
              enum:
                - UA-EDR
              x-legalNameUa: Тип ідентифікації юридичної особи
              x-legalNameEn: Legal ID type
            legalName:
              allOf:
                - $ref: '#/components/schemas/base.MultiLang'
              x-legalNameUa: Повна юридична назва юридичної особи
              x-legalNameEn: Legal name
            id:
              type: string
              x-legalNameUa: Ідентифікатор юридичної особи
              x-legalNameEn: Legal ID
    base.ManagingEntity:
      # todo: investigate if representativeInfo must be present in this model, currently inherits it from SellingEntity
      type: object
      title: base.ManagingEntity
      description: |
        Managing Entity model <br>
        Містить дані про юридичну особу, що створена та зареєстрована відповідно до законодавства України з місцезнаходженням на її території.
      allOf:
        - $ref: '#/components/schemas/base.SellingEntity'
        - type: object
          properties:
            name:
              description: |
                автогенерується з поля legalName зі схеми ManagingEntityIdentifier
              allOf:
                - $ref: '#/components/schemas/base.MultiLang'
              x-legalNameUa: Найменування юридичної особи
              x-legalNameEn: Legal entity name
              readOnly: true
            identifier:
              allOf:
                - $ref: '#/components/schemas/base.ManagingEntityIdentifier'
              x-legalNameUa: Ідентифікатор юридичної особи
              x-legalNameEn: Legal entity ID
            address:
              description: |
                Модель адреси, що містить дані щодо місцезнаходження юридичної особи, <br>
                що створена та зареєстрована відповідно до законодавства України<br>
                з місцезнаходженням на її території
              allOf:
                - $ref: '#/components/schemas/base.AddressUa'
                - type: object
                  required:
                    - streetAddress
                    - locality
                    - region
                    - countryName
              x-legalNameUa: Місцезнаходження юридичної особи
              x-legalNameEn: Legal entity address
    base.Schedule:
      x-baseClass: 'prozorro_sale.procedure.models.base.Schedule'
      type: object
      title: base.Schedule
      description: |
        Schedule model <br>
        Модель для визначення розкладу
      properties:
        hoursBy:
          x-baseClass: 'prozorro_sale.procedure.models.base.ScheduleHoursBy'
          type: object
          description: |
            якщо в by(enum) вибрано день, тиждень і місяць - то максимальна кількість годин(value)
            24, 168 і 744 відповідно
          properties:
            value:
              type: integer
              format: int64
              x-legalNameUa: Годин
              x-legalNameEn: Hours
            by:
              type: string
              description: Посилання на словник https://procedure-sandbox.prozorro.sale/api/dictionaries/schedulePeriods
              x-dictionaries:
                - schedulePeriods
              enum:
                - day
                - week
                - month
              x-legalNameUa: Період
              x-legalNameEn: Period
          required:
            - value
            - by
        daysBy:
          type: object
          x-baseClass: 'prozorro_sale.procedure.models.base.ScheduleDaysBy'
          description: |
            якщо в by(enum) вибрано тиждень і місяць - то максимальна кількість годин(value) 7 і 31 відповідно.
          properties:
            value:
              type: integer
              format: int64
              x-legalNameUa: Днів
              x-legalNameEn: Days
            by:
              type: string
              description: Посилання на словник https://procedure-sandbox.prozorro.sale/api/dictionaries/schedulePeriods
              x-dictionaries:
                - schedulePeriods
              enum:
                - week
                - month
              x-legalNameUa: Початок
              x-legalNameEn: Start
          required:
            - value
            - by
        period:
          type: array
          minItems: 1
          description: |
            Періоди не повинні перетинатися
          items:
            x-baseClass: 'prozorro_sale.procedure.models.base.SchedulePeriodItem'
            type: object
            description: |
              startDate і endDate або обидва заповнені, або обидва незаповнені.
              Якщо заповнені startDate і endDate, тоді масив weekdays не може бути порожнім.
            properties:
              startDate:
                type: string
                format: date-time
                x-legalNameUa: Дата початку
                x-legalNameEn: Start date
              endDate:
                type: string
                format: date-time
                x-legalNameUa: Дата завершення
                x-legalNameEn: End date
              weekdays:
                type: array
                default: [ ]
                description: |
                  Мінімальний інтервал між startTime і endTime - 5 хвилин
                items:
                  x-baseClass: 'prozorro_sale.procedure.models.base.ScheduleWeekDay'
                  type: object
                  properties:
                    startTime:
                      type: string
                      pattern: '^([0-1]?[0-9]|2[0-3]):[0-5][0-9]$'
                      description: example 10:55
                      x-legalNameUa: Початок
                      x-legalNameEn: Start
                    endTime:
                      type: string
                      pattern: '^([0-1]?[0-9]|2[0-3]):[0-5][0-9]$|^24:00$'
                      description: example 10:55
                      x-legalNameUa: Кінець
                      x-legalNameEn: End
                    weekday:
                      allOf:
                        - $ref: '#/components/schemas/base.MultiLang'
                        - type: object
                          properties:
                            uk_UA:
                              type: string
                              enum:
                                - Понеділок
                                - Вівторок
                                - Середа
                                - Четвер
                                - П'ятниця
                                - Субота
                                - Неділя
                      x-legalNameUa: День тижня
                      x-legalNameEn: Weekday
                  required:
                    - startTime
                    - endTime
                    - weekday
          x-legalNameUa: Період дії графіку
          x-legalNameEn: Period of schedule
        other:
          type: string
          x-legalNameUa: Інший графік використання
          x-legalNameEn: Other schedule
          description: required only if other fields is empty
    base.LeaseRules:
      type: object
      title: base.LeaseRules
      x-baseClass: 'prozorro_sale.procedure.models.base.LeaseRules'
      description: |
        Model for lease schedule and restrictions <br>
        Дані про графік оренди та наявні обмеження цільового використання
      properties:
        schedule:
          allOf:
            - $ref: '#/components/schemas/base.Schedule'
          x-legalNameUa: Пропонований графік оренди
          x-legalNameEn: Proposed schedule of lease
        intendedUse:
          description: |
            При виборі значення 'Окрім зазначеного' (exceptDescribed) в полі intendedUseRestrictionMethod Організатор повинен обрати до 5-ти значень зі словника https://procedure-sandbox.prozorro.sale/api/dictionaries/intendedUse <br>
            При виборі значення 'Тільки зазначене' (onlyDescribed) або 'Без обмежень' (noRestrictions) поле intendedUse треба виключити з тіла запиту
          maxItems: 5
          type: array
          items:
            type: string
            x-dictionaries:
              - intendedUse
          x-legalNameUa: Обмеження щодо використання майна (заборонені цільові призначення)
          x-legalNameEn: Intended use
        intendedUseRestrictionMethod:
          type: string
          x-dictionaries:
            - leaseRestrictions
          description: |
            При виборі значення 'Тільки зазначене' (onlyDescribed) Організатор повинен зазначити відповідну інформацію в полі intendedUseRestrictionDescription
            Обирається одне значення зі словника https://procedure-sandbox.prozorro.sale/api/dictionaries/leaseRestrictions
          default: noRestrictions
          x-legalNameUa: Спосіб обмеження цільового призначення об'єкта
          x-legalNameEn: Method of restriction for intended use
        intendedUseRestrictionDescription:
          type: string
          x-legalNameUa: Цільове призначення об'єкта оренди (за наявності)
          x-legalNameEn: Description of the restriction for intended use
        additionalLeaseConditions:
          type: string
          description: |
            Дані зазначаються за наявності.
          x-legalNameUa: Додаткові умови оренди майна
          x-legalNameEn: Additional lease conditions
        subleaseAllowed:
          type: boolean
          x-legalNameUa: Можливість суборенди
          x-legalNameEn: Sublease allowed
      required:
        - intendedUseRestrictionMethod
    base.AdditionalInformation:
      x-baseClass: 'prozorro_sale.procedure.models.base.AdditionalInformation'
      type: object
      title: base.AdditionalInformation
      properties:
        id:
          type: string
          x-legalNameUa: Ідентифікатор об'єкту додаткової інформації
          x-legalNameEn: Additional information ID
          x-default: hex
          readOnly: true
        owner:
          type: string
          readOnly: true
          x-legalNameUa: Ідентифікатор власника об'єкта додаткової інформації
          x-legalNameEn: Owner ID
        datePublished:
          type: string
          format: date-time
          x-default: now
          x-legalNameUa: Дата публікації
          x-legalNameEn: Publish date
          readOnly: true
        dateModified:
          type: string
          format: date-time
          x-default: now
          x-legalNameUa: Дата модифікації
          x-legalNameEn: Modification date
          readOnly: true
        description:
          allOf:
            - $ref: '#/components/schemas/base.MultiLang'
          x-legalNameUa: Опис додаткової інформації
          x-legalNameEn: Additional information description
        initiator:
          type: string
          description: обирається зі словника https://procedure-sandbox.prozorro.sale/api/dictionaries/additional_info_initiators
          x-dictionaries:
            - additional_info_initiators
          x-legalNameUa: Ініціатор публікації додаткової інформації
          x-legalNameEn: Additional information initiator
        initiatorOther:
          allOf:
            - $ref: '#/components/schemas/base.MultiLang'
          x-legalNameUa: Ініціатор публікації
          x-legalNameEn: Initiator
        reason:
          type: string
          description: обирається зі словника https://procedure-sandbox.prozorro.sale/api/dictionaries/additional_info_reason
          x-dictionaries:
            - additional_info_reason
          x-legalNameUa: Причина публікації додаткової інформації
          x-legalNameEn: Additional information reason
        reasonOther:
          allOf:
            - $ref: '#/components/schemas/base.MultiLang'
          x-legalNameUa: Причина публікації
          x-legalNameEn: Reason
        documents:
          type: array
          x-format: list-object
          default: [ ]
          items:
            type: object
            allOf:
              - $ref: '#/components/schemas/base.Document'
              - type: object
                properties:
                  documentType:
                    type: string
                    enum:
                      - additionalInformationDocument
                  documentOf:
                    type: string
                    readOnly: true
                    enum:
                      - additional_information
          x-legalNameUa: Документи додаткової інформації
          x-legalNameEn: Additional information Documents
      required:
        - description
        - initiator
        - reason
    base.Discount:
      type: object
      title: base.Discount
      x-baseClass: 'prozorro_sale.procedure.models.base.Discount'
      description: |
        Discount model <br>
        Містить дані щодо знижки, обов'язковість або необов'язковість,  у випадку повторного виставлення лота, визначається на рівні кожної окремої процедури. <br>
        Якщо значення Discount true, обов'язкові до заповнення discountPercent та previousAuctionValue
    

              
    commercialPropertyLease.AccountIdentification:
      title: commercialPropertyLease.AccountIdentification
      allOf:
        - $ref: '#/components/schemas/base.AccountIdentification'
        - type: object
          properties:
            scheme:
              description: |
                Обирається одне значення зі словника https://procedure-sandbox.prozorro.sale/api/dictionaries/accountIdentifiers
              type: string
              x-dictionaries:
                - accountIdentifiers
              x-legalNameUa: Тип банківського ідентифікатора
              x-legalNameEn: Account identification type
    commercialPropertyLease.BankAccountWithCurrency:
      title: commercialPropertyLease.BankAccountWithCurrency
      allOf:
        - $ref: '#/components/schemas/base.BankAccountWithCurrency'
        - type: object
          properties:
            accountIdentifications:
              type: array
              default: [ ]
              minItems: 1
              items:
                $ref: '#/components/schemas/commercialPropertyLease.AccountIdentification'
              x-legalNameUa: Банківські реквізити
              x-legalNameEn: Account identifications
    commercialPropertyLease.BankAccountsByType:
      title: commercialPropertyLease.BankAccountsByType
      type: object
      properties:
        accountType:
          type: string
          description: |
            Посилання на словник https://procedure-sandbox.prozorro.sale/api/dictionaries/accountType
          x-dictionaries:
            - accountType
          enum:
            - registrationFee
            - guarantee
            - lease
            - other
        accounts:
          type: array
          default: [ ]
          items:
            allOf:
              - $ref: '#/components/schemas/commercialPropertyLease.BankAccountWithCurrency'
              - type: object
                properties:
                  currency:
                    type: string
                    enum:
                      - UAH
          x-legalNameUa: Банківські рахунки
          x-legalNameEn: Bank accounts
    commercialPropertyLease.AdditionalClassification:
      title: commercialPropertyLease.AdditionalClassification
      description: |
        Не обов'язкова складова моделі Item, має бути обрана зі словника. Містить додаткові можливі дані про лот.<br>
        Для словника CPVS автогенерується два значення 'PA01-7 - Оренда' та 'DA04-3 - Приватний'
      allOf:
        - $ref: '#/components/schemas/base.AdditionalClassification'
        - type: object
          properties:
            scheme:
              type: string
              enum:
                - CPVS
                - CVZU
    commercialPropertyLease.Classification:
      title: commercialPropertyLease.Classification
      description: |
        Під час публікації процедури ЦБД приймає одне значення зі словника CAV для основного класифікатору (обов'язковий): https://procedure-sandbox.prozorro.sale/api/classifiers/CAV
        Перелік можливих значень зазначено у ТЗ<br>
      allOf:
        - $ref: '#/components/schemas/base.Classification'
        - type: object
          properties:
            scheme:
              type: string
              enum:
                - CAV
              x-legalNameUa: Схема класифікатора
              x-legalNameEn: Item classification scheme
            id:
              type: string
              x-dictionaries:
                - CAV
              x-masks:
                - '04'
                - '05'
                - '16'
                - '18'
                - '30'
                - '31'
                - '32'
                - '33'
                - '34'
                - '35'
                - '37'
                - '38'
                - '39'
                - '42'
                - '43'
                - '44'
                - '45'
                - '48'
                - '50'
                - '51'
                - '55'
                - '60'
                - '63'
                - '64'
                - '65'
                - '66'
                - '70'
                - '71'
                - '72'
                - '73'
                - '75'
                - '76'
                - '77'
                - '79'
                - '80'
                - '85'
                - '90'
                - '92'
                - '98'
              x-exclude-masks:
                - '30124'
                - '3016'
                - '30192'
                - '30194000-5'
                - '30196000-9'
                - '30197000-6'
                - '30199000-0'
                - '30234100-9'
                - '30234700-5'
                - '30237'
                - '31157000-1'
                - '3116'
                - '3122'
                - '3123'
                - '3235'
                - '3314'
                - '336'
                - '337'
                - '343'
                - '353'
                - '3782'
                - '398'
                - '44111'
                - '448'
                - '449'
                - '7013'
                - '702'
                - '703'
                - '7034'
              x-legalNameUa: Код класифікатора
              x-legalNameEn: Classification ID
    commercialPropertyLease.RealEstateProps:
      title: commercialPropertyLease.RealEstateProps
      allOf:
        - $ref: '#/components/schemas/base.RealEstateProps'
        - type: object
          properties:
            _classification_id:
              description: |
                Technical field for item.itemProps mapping
              type: string
              readOnly: true
            constructionTechnology:
              type: string
              x-dictionaries:
                - constructionTechnology
              description: |
                Обирається одне значення зі словника https://procedure-sandbox.prozorro.sale/api/dictionaries/constructionTechnology
              x-legalNameUa: Матеріали стін
              x-legalNameEn: Construction technology
            notLivingArea:
              type: number
              format: float
              example: 1285.0
              minimum: 0
              x-legalNameUa: Не житлова площа, кв. м
              x-legalNameEn: Not living area, sq.m.
            numberOfRooms:
              type: integer
              format: int64
              minimum: 0
              x-legalNameUa: Кількість кімнат або приміщень
              x-legalNameEn: Number of rooms or premises
            numberOfStoreys:
              type: integer
              format: int64
              minimum: 0
              x-legalNameUa: Поверховість будинку
              x-legalNameEn: Number of storeys
            utilityRoomsDescription:
              type: string
              x-legalNameUa: Інформація про допоміжні, підсобні приміщення та споруди
              x-legalNameEn: Utility rooms description
    commercialPropertyLease.JointPropertyComplexProps:
      title: commercialPropertyLease.JointPropertyComplexProps
      allOf:
        - $ref: '#/components/schemas/base.JointPropertyComplexProps'
        - type: object
          properties:
            _classification_id:
              description: |
                Technical field for item.itemProps mapping
              type: string
              readOnly: true
            workplacesQuantity:
              type: integer
              format: int64
              example: 500
              x-legalNameUa: Кількість та склад робочих місць, ociб
              x-legalNameEn: Workplaces quantity, persons
    commercialPropertyLease.VehicleProps:
      title: commercialPropertyLease.VehicleProps
      allOf:
        - $ref: '#/components/schemas/base.VehicleProps'
        - type: object
          properties:
            _classification_id:
              description: |
                Technical field for item.itemProps mapping
              type: string
              readOnly: true
          required:
            - brand
            - model
            - productionYear
            - engineCapacity
            - fuelType
            - color
            - kilometrage
            - condition
            - damagePresence
    commercialPropertyLease.Item:
      x-baseClass: 'prozorro_sale.procedure.packages.commercialPropertyLease.procedure.Item'
      title: commercialPropertyLease.Item
      allOf:
        - $ref: '#/components/schemas/base.Item'
        - type: object
          properties:
            classification:
              description: |
                Обмеження по можливим значенням основного класифікатора описані в ТЗ
              allOf:
                - $ref: '#/components/schemas/commercialPropertyLease.Classification'
              x-legalNameUa: Основний класифікатор об'єкта
              x-legalNameEn: Item main classification
            additionalClassifications:
              type: array
              default: [ ]
              items:
                $ref: '#/components/schemas/commercialPropertyLease.AdditionalClassification'
              x-legalNameUa: Додатковий класифікатор
              x-legalNameEn: Item additional Classification ID
            address:
              description: |
                Для всіх кодів з надання послуг (всі перелічені коди після 50000000-5, які включені в основний класифікатор - classification)
                поле Місцезнаходження **НЕОБОВ'ЯЗКОВЕ** для заповнення.
              allOf:
                - $ref: '#/components/schemas/base.AddressUa'
                - type: object
                  required:
                    - addressID
                    - countryName
                    - region
                    - locality
              x-legalNameUa: Місцезнаходження
              x-legalNameEn: Object address
            location:
              description: |
                В залежності від обраного значення із переліку основного класифікатора (**Classification**), на рівні ЦБД визначається обов'язковість заповнення поля Географічні координати місця розташування (**location**) в об'єкті **commercialPropertyLease.Item**.<br>
                Для наступних значень поле Географічні координати місця розташування **ОБОВ'ЯЗКОВЕ** для заповнення<br>
                - 04000000-8 – Нерухоме майно та усі вкладені коди
              allOf:
                - $ref: '#/components/schemas/base.Location'
              x-legalNameUa: Географічні координати місця розташування
              x-legalNameEn: Geo position
            commercialPropertyLeaseItemType:
              description: |
                Автогенерується значення assets<br>
                Посилання на словник https://procedure-sandbox.prozorro.sale/api/dictionaries/basicSellItemType
              type: string
              x-dictionaries:
                - basicSellItemType
              enum:
                - assets
              default: assets
              x-legalNameUa: Тип активу
              x-legalNameEn: Item type
              readOnly: true
            itemProps:
              description: |
                Значення може автогенеруватися відповідно до обраного значення в commercialPropertyLease.Classification, якщо воно наявне у переліку<br>
                Перелік та взаємозв'язок значень щодо автогенерації зазначено у ТЗ<br>
              x-format: polymodel
              x-claim-func: 'prozorro_sale.procedure.packages.commercialPropertyLease.utils.commercialPropertyLease_claim_func'
              anyOf:
                - $ref: '#/components/schemas/commercialPropertyLease.RealEstateProps'
                - $ref: '#/components/schemas/commercialPropertyLease.JointPropertyComplexProps'
                - $ref: '#/components/schemas/commercialPropertyLease.VehicleProps'
              x-legalNameUa: Технічні характеристики, нерухомість
              x-legalNameEn: Technical characteristics, real estate
            registrationDetails:
              description: |
                Для лотів з визначеними itemProps обов'язкове.
              allOf:
                - $ref: '#/components/schemas/base.RequiredRegistrationDetails'
              x-legalNameUa: Інформація щодо реєстрації
              x-legalNameEn: Registration details
          required:
            - title
            - description
            - classification
            - unit
            - quantity
    commercialPropertyLease-english.Bid:
      title: commercialPropertyLease.Bid
      allOf:
        - $ref: '#/components/schemas/base.Bid'
        - type: object
          properties:
            status:
              type: string
              default: draft
              enum:
                - draft
                - active
                - inactive
                - deleted
              x-legalNameUa: Статус заяви на участь
              x-legalNameEn: Bid status
            documents:
              type: array
              x-format: list-object
              default: [ ]
              items:
                allOf:
                  - $ref: '#/components/schemas/base.Document'
                  - type: object
                    properties:
                      documentType:
                        type: string
                        enum:
                          - commercialProposal
                          - x_passport
                          - x_IPN
                          - x_tenderersRegisterExtract
                          - x_nonResidentRegistrations
                          - x_registrationFeeApproval
                          - x_guaranteeApproval
                          - qualificationDocuments
                          - auctionProtocol
                          - digitalSignature
              x-legalNameUa: Документи до заяви про участь
              x-legalNameEn: Documents
            inactiveBidDate:
              type: string
              format: date-time
              readOnly: true
              x-legalNameUa: Дата деактивації заяви на участь
              x-legalNameEn: Inactive bid date
            initialValueAmount:
              readOnly: true
              type: number
              format: float
              x-format: decimal-float
              example: 10.0
              minimum: 0
              x-legalNameUa: Розмір закритої цінової пропозиції
              x-legalNameEn: Initial amount
    commercialPropertyLease.Award:
      x-baseClass: 'prozorro_sale.procedure.packages.commercialPropertyLease.procedure.Award'
      title: commercialPropertyLease.Award
      allOf:
        - $ref: '#/components/schemas/base.Award'
        - type: object
          properties:
            items:
              type: array
              x-format: list-object
              default: [ ]
              items:
                $ref: '#/components/schemas/commercialPropertyLease.Item'
              x-legalNameUa: Склад лота
              x-legalNameEn: Lot composition
              readOnly: true
              description: |
                Автогенероване з процедури
            status:
              type: string
              enum:
                - pending
                - pending_waiting
                - active
                - cancelled
                - unsuccessful
              x-legalNameUa: Статус кваліфікації учасника аукціону
              x-legalNameEn: Award status
            terminationReason:
              type: string
              description: |
                Посилання на словник https://procedure-sandbox.prozorro.sale/api/dictionaries/commercialPropertyLeaseTerminationReason
              x-dictionaries:
                - commercialPropertyLeaseTerminationReason
              x-legalNameUa: Причина дискваліфікації/відмови учаснику
              x-legalNameEn: Disqualification reason
            documents:
              type: array
              x-format: list-object
              default: [ ]
              items:
                allOf:
                  - $ref: '#/components/schemas/base.Document'
                  - type: object
                    properties:
                      documentType:
                        type: string
                        enum:
                          - auctionProtocol
                          - rejectionProtocol
                          - act
                          - digitalSignature
              x-legalNameUa: Документи до аварду
              x-legalNameEn: Award Documents
            signingPeriod:
              allOf:
                - $ref: '#/components/schemas/base.Period'
              x-legalNameUa: Період підписання договору
              x-legalNameEn: Signing period
              readOnly: true
            verificationPeriod:
              allOf:
                - $ref: '#/components/schemas/base.Period'
              x-legalNameUa: Період підписання протоколу
              x-legalNameEn: Verification period
              readOnly: true
    commercialPropertyLease.Contract:
      title: commercialPropertyLease.Contract
      description: |
        Обов'язковими до заповнення для зміни статусу контракту з pending у active є наступні об'єкти та/або поля<br>
          - description<br>
          - contractNumber<br>
          - title<br>
          - dateSigned<br>
          - contractTotalValue.
      allOf:
        - $ref: '#/components/schemas/base.Contract'
        - type: object
          properties:
            status:
              type: string
              enum:
                - pending
                - active
                - cancelled
              readOnly: true
              default: pending
              x-legalNameUa: Статус договору
              x-legalNameEn: Contract's status
            contractTotalValue:
              description: |
                Місячна орендна плата для договорів тривалістю більше одного місяця або загальна орендна плата для договорів тривалістю до одного місяця, UAH
              allOf:
                - $ref: '#/components/schemas/base.Value'
              x-legalNameUa: Заключна вартість договору з урахуванням податків
              x-legalNameEn: Total contract's value with tax
            documents:
              type: array
              x-format: list-object
              default: [ ]
              items:
                allOf:
                  - $ref: '#/components/schemas/base.Document'
                  - type: object
                    properties:
                      documentType:
                        type: string
                        enum:
                          - contractNotice
                          - contractSigned
                          - contractAnnexe
                          - paymentInformation
                          - transferAct
                          - digitalSignature
              x-legalNameUa: Документи та додатки пов’язані з договором
              x-legalNameEn: Contract's documents
            items:
              type: array
              x-format: list-object
              default: [ ]
              items:
                $ref: '#/components/schemas/commercialPropertyLease.Item'
              x-legalNameUa: Склад лота
              x-legalNameEn: Lot composition
              readOnly: true
              description: Автогенероване з аварду
    commercialPropertyLease.Cancellation:
      title: commercialPropertyLease.Cancellation
      allOf:
        - $ref: '#/components/schemas/base.Cancellation'
        - type: object
          properties:
            cancellationOf:
              type: string
              enum:
                - auction
              x-legalNameUa: Об'єкт скасування
              x-legalNameEn: Cancellation object
    commercialPropertyLease.RelatedOrganizations:
      type: object
      title: commercialPropertyLease.RelatedOrganizations
      description: |
        Модель, що зберігає дані про орендодавця та учасника з переважним правом
      properties:
        sellingEntity:
          description: Містить ідентифікаційні дані Орендодавця
          allOf:
            - $ref: '#/components/schemas/base.Organization'
          x-legalNameUa: Орендодавець
          x-legalNameEn: Landlord
        currentTenants:
          type: array
          x-format: list-object
          minItems: 1
          maxItems: 2
          items:
            type: object
            allOf:
              - $ref: '#/components/schemas/commercialPropertyLease.CurrentTenantPriorityLease'
      required:
        - sellingEntity
    commercialPropertyLease.CurrentTenantPriorityLease:
      x-baseClass: 'prozorro_sale.procedure.packages.commercialPropertyLease.procedure.CurrentTenantPriorityLease'
      type: object
      description: Дані про поточного орендаря, який має переважне право.
      allOf:
        - $ref: '#/components/schemas/base.OrganizationWithoutContacts'
        - type: object
          properties:
            id:
              type: string
              x-legalNameUa: Ідентифікатор учасника з пріорітетним правом
              x-legalNameEn: Current tenant ID
              x-default: hex
              readOnly: true
            currentContractTime:
              allOf:
                - $ref: '#/components/schemas/base.LifeTime'
              x-legalNameUa: Дата укладення та закінчення договору оренди
              x-legalNameEn: Current tenant contract's terms
            priority:
              type: integer
              format: int32
              readOnly: true
              minimum: 0
              default: 0
              x-dictionaries:
                - priorityType
              x-legalNameUa: Пріорітет учасника
              x-legalNameEn: Participant's priority
          required:
            - identifier
            - address
            - currentContractTime
      x-legalNameUa: Дані про учасника з переважним правом
      x-legalNameEn: Data about participant with priority right


              
    commercialPropertyLease-priorityEnglish.commercialPropertyLeasePriorityEnglishProcedure:
      x-baseClass: 'prozorro_sale.procedure.packages.commercialPropertyLease.procedure.ProcedurePriorityEnglish'
      type: object
      title: commercialPropertyLease.commercialPropertyLeasePriorityEnglishProcedure
      description: |
        модель
      properties:
        owner:
          type: string
          readOnly: true
          x-legalNameUa: Ідентифікатор майданчика
        ownerToken:
          type: string
          format: uuid
          readOnly: true
          x-default: hex
        _id:
          type: string
          readOnly: true
          x-legalNameUa: Внутрішній ідентифікатор аукціону
          x-legalNameEn: ID
          x-default: object_id
          x-serialize_when_none: false
          x-format: object-id
        datePublished:
          type: string
          format: date-time
          readOnly: true
          x-default: now
          x-legalNameUa: Дата публікації процедури
          x-legalNameEn: Published date
        dateModified:
          type: string
          format: date-time
          readOnly: true
          x-legalNameUa: Остання дата зміни процедури
          x-legalNameEn: Procedure date modified
        spec:
          type: object
          x-format: multidict
          readOnly: true
        auctionId:
          type: string
          readOnly: true
          x-legalNameUa: Ідентифікатор аукціону
          x-legalNameEn: Auction ID
        previousAuctionId:
          description: |
            Якщо tenderAttempts > 1 заповнюється вручну, має відповідати auctionId попереднього аукціону. <br>
            Якщо tenderAttempts = 1 то previousAuctionId не використовується
          example: CLP000-UA-YYYYMMDD-00000
          pattern: '^([a-zA-Z]{3}[0-9]{3}-[a-zA-Z]{2}-[0-9]{8}-[0-9]{5})$'
          type: string
          minLength: 1
          x-legalNameUa: Номер попереднього аукціону
          x-legalNameEn: Previous auction Id
        sellingMethod:
          type: string
          enum:
            - commercialPropertyLease-priorityEnglish
            - commercialPropertyLease-priorityEnglish-ultra-fast
            - commercialPropertyLease-priorityEnglish-fast
            - commercialPropertyLease-priorityEnglish-fast-manual
            - commercialPropertyLease-priorityEnglish-fast-auction-manual-qualification
            - commercialPropertyLease-priorityEnglish-fast-auction-prod
            - commercialPropertyLease-priorityEnglish-initial-auction
            - commercialPropertyLease-priorityEnglish-initial-auction-manual
            - commercialPropertyLease-priorityEnglish-initial-qualification
            - commercialPropertyLease-priorityEnglish-initial-qualification-prod
          x-legalNameUa: Тип процедури
          x-legalNameEn: Procedure type
        relatedOrganizations:
          allOf:
            - $ref: '#/components/schemas/commercialPropertyLease.RelatedOrganizations'
          x-legalNameUa: Організації, задіяні в керуванні об'єктом
          x-legalNameEn: Organizations involved in registry management
        numberOfCurrentTenants:
          type: integer
          format: int32
          default: 1
          readOnly: true
          x-legalNameUa: Кількість учасників з переважним правом
          x-legalNameEn: Number of participants with priority right
        lotId:
          type: string
          x-legalNameUa: Номер лота
          x-legalNameEn: Lot number
        title:
          type: object
          allOf:
            - $ref: '#/components/schemas/base.MultiLang'
          x-legalNameUa: Назва аукціону
          x-legalNameEn: Auction title
        auctionUrl:
          type: string
          x-format: rel-url
          readOnly: true
          example: /api/auctions/123
          x-legalNameUa: Веб-адреса для перегляду аукціону
          x-legalNameEn: Auction link
        description:
          allOf:
            - $ref: '#/components/schemas/base.MultiLang'
          x-legalNameUa: Опис аукціону
          x-legalNameEn: Auction description
        accessDetails:
          allOf:
            - $ref: '#/components/schemas/base.MultiLang'
          x-legalNameUa: Порядок ознайомлення з майном, час і місце проведення огляду об’єкта
          x-legalNameEn: Procedure and place of acquaintance with the property
      
        schedule:
          allOf:
            - $ref: '#/components/schemas/base.Schedule'
          x-legalNameUa: Правила та умови передачі об'єкта в оренду
          x-legalNameEn: Rules and conditions for registry lease
        bankAccounts:
          type: array
          minItems: 1
          items:
            $ref: '#/components/schemas/commercialPropertyLease.BankAccountsByType'
          x-legalNameUa: Банківські рахунки
          x-legalNameEn: Bank accounts
        x_documentRequirements:
          allOf:
            - $ref: '#/components/schemas/base.MultiLang'
          x-legalNameUa: Перелік та вимоги до оформлення документів
          x-legalNameEn: List and requirements of registration documents
        x_additionalInformation:
          allOf:
            - $ref: '#/components/schemas/base.MultiLang'
          x-legalNameUa: Додаткові відомості
          x-legalNameEn: Other requirements and additional information
        value:
          allOf:
            - $ref: '#/components/schemas/base.ValueWithTax'
          x-legalNameUa: Стартова орендна плата
          x-legalNameEn: Start rent
        valueAddedTaxCharged:
          type: boolean
          default: true
          x-legalNameUa: На фінальну суму нараховується ПДВ
          x-legalNameEn: Value added tax charged
        valuePeriod:
          description: Посилання на словник https://procedure-sandbox.prozorro.sale/api/dictionaries/valuePeriod
          default: month
          type: string
          x-dictionaries:
            - valuePeriod
          x-legalNameUa: Період розрахунку стартової вартості
          x-legalNameEn: Value period
        leaseDuration:
          description: |
            використання формату ISO_8601 https://en.wikipedia.org/wiki/ISO_8601#Durations
          type: string
          example: P2Y11M
          x-format: duration
          x-legalNameUa: Строк оренди
          x-legalNameEn: Lease duration
        discount:
          description: |
            Якщо tenderAttempts = 1, то поле discount не використовується.<br>
            Якщо tenderAttempts > 1 поле discount використовується, але є не обов'язкове
          allOf:
            - $ref: '#/components/schemas/base.Discount'
          x-legalNameUa: Знижка
          x-legalNameEn: Discount
        guarantee:
          allOf:
            - $ref: '#/components/schemas/base.Value'
          x-legalNameUa: Гарантійний внесок
          x-legalNameEn: Guarantee
        currentTenantGuaranteeFee:
          description: |
            Гарантійний внесок для чинного орендаря/учасника з переважним правом<br>
            Значення за замовч дорівнює загальному ГВ але не може дорівнювати 0 грн.
          allOf:
            - $ref: '#/components/schemas/base.Value'
            - type: object
              properties:
                amount:
                  type: number
                  format: float
                  x-format: decimal-float
                  example: 10.0
                  minimum: 0.01
                  x-legalNameUa: Сума
                  x-legalNameEn: Amount
          x-legalNameUa: Гарантійний внесок чинного орендаря
          x-legalNameEn: Guarantee fee for current tenant
        registrationFee:
          allOf:
            - $ref: '#/components/schemas/base.Value'
          x-legalNameUa: Реєстраційний внесок
          x-legalNameEn: Registration fee
        minimalStep:
          allOf:
            - $ref: '#/components/schemas/base.Value'
          x-legalNameUa: Розмір мінімального кроку підвищення стартової орендної плати під час аукціону
          x-legalNameEn: Minimal step
        minNumberOfQualifiedBids:
          description: За замовчуванням 1
          type: integer
          format: int64
          readOnly: true
          default: 1
          x-legalNameUa: Мінімальна кількість заяв
          x-legalNameEn: Minimal number of bids
        tenderAttempts:
          type: integer
          default: 1
          format: int64
          minimum: 1
          x-legalNameUa: Порядковий номер аукціону
          x-legalNameEn: Auction attempt
        items:
          type: array
          minItems: 1
          x-format: list-object
          default: [ ]
          items:
            $ref: '#/components/schemas/commercialPropertyLease.Item'
          x-legalNameUa: Склад лота
          x-legalNameEn: Lot composition
        documents:
          type: array
          x-format: list-object
          default: [ ]
          items:
            allOf:
              - $ref: '#/components/schemas/base.Document'
              - type: object
                properties:
                  documentType:
                    type: string
                    enum:
                      - illustration
                      - notice
                      - technicalSpecifications
                      - evaluationCriteria
                      - contractProforma
                      - x_presentation
                      - property_doc
                      - cancellationDetails
                      - clarifications
                      - digitalSignature
          x-legalNameUa: Всі документи аукціону та пов'язані додатки
          x-legalNameEn: Documents

        bids:
          type: array
          x-format: list-object
          default: [ ]
          items:
            $ref: '#/components/schemas/commercialPropertyLease-english.Bid'
          readOnly: true
          x-legalNameUa: Заява на участь
          x-legalNameEn: Bid

        questions:
          type: array
          x-format: list-object
          default: [ ]
          items:
            $ref: '#/components/schemas/base.Question'
          x-legalNameUa: Сервіс обговорення аукціону (запитання-відповідь)
          x-legalNameEn: Q&A
          readOnly: true
        awards:
          type: array
          x-format: list-object
          default: [ ]
          items:
            $ref: '#/components/schemas/commercialPropertyLease.Award'
          readOnly: true
          x-legalNameUa: Рішення щодо кваліфікації учасників
          x-legalNameEn: Award
        timer:
          description: час до наступної події
          type: string
          format: date-time
          x-format: timer
          readOnly: true
          x-serialize_when_none: false
        archiveId:
          type: string
          x-format: object-id
          readOnly: true
          x-serialize_when_none: false
        contracts:
          type: array
          x-format: list-object
          default: [ ]
          items:
            $ref: '#/components/schemas/commercialPropertyLease.Contract'
          readOnly: true
          x-legalNameUa: Договір
          x-legalNameEn: Contract
        inactivationDate:
          type: string
          format: date-time
          readOnly: true
          x-legalNameUa: Дата деактивації заяви на участь
          x-legalNameEn: Inactive bid date
        rectificationPeriod:
          allOf:
            - $ref: '#/components/schemas/base.Period'
          readOnly: true
          x-legalNameUa: Період редагування
          x-legalNameEn: Rectification period
        enquiryPeriod:
          allOf:
            - $ref: '#/components/schemas/base.Period'
          readOnly: true
          x-legalNameUa: Період відповідей
          x-legalNameEn: Enquiry period
        tenderPeriod:
          allOf:
            - $ref: '#/components/schemas/base.Period'
          readOnly: true
          x-legalNameUa: Період подання заяви на участь в аукціоні
          x-legalNameEn: Tender period
        auctionPeriod:
          allOf:
            - $ref: '#/components/schemas/base.Period'
            - type: object
              properties:
                startDate:
                  type: string
                  format: date-time
                  x-default: now
                  x-legalNameUa: Дата та час початку
                  x-legalNameEn: Start date
          x-legalNameUa: Період аукціону
          x-legalNameEn: Auction period
        questionPeriod:
          allOf:
            - $ref: '#/components/schemas/base.Period'
          readOnly: true
          x-legalNameUa: Період запитань
          x-legalNameEn: Question period
        qualificationPeriod:
          allOf:
            - $ref: '#/components/schemas/base.Period'
          readOnly: true
          x-legalNameUa: Період кваліфікації
          x-legalNameEn: Qualification period
        status:
          type: string
          enum:
            - active_tendering
            - active_auction
            - active_qualification
            - active_awarded
            - complete
            - cancelled
            - unsuccessful
          readOnly: true
          x-legalNameUa: Статус процедури
          x-legalNameEn: Procedure status
        cancellations:
          type: array
          x-format: list-object
          default: [ ]
          items:
            $ref: '#/components/schemas/commercialPropertyLease.Cancellation'
          readOnly: true
          x-legalNameUa: Скасування Аукціону
          x-legalNameEn: Auction Cancellation
        _version:
          type: integer
          format: int64
          readOnly: true
        _protected:
          type: boolean
          readOnly: true
        _protect_level:
          type: string
          default: medium
          enum:
            - high
            - medium
          readOnly: true
        _meta:
          type: object
          default: {}
          x-format: serialize-multidict
          readOnly: true
        additionalInformation:
          type: array
          x-format: list-object
          default: [ ]
          items:
            $ref: '#/components/schemas/base.AdditionalInformation'
          readOnly: true
          x-legalNameUa: Додаткова інформація
          x-legalNameEn: Additional information
      required:
        - sellingMethod
        - relatedOrganizations
        - lotId
        - title
        - description
        - minimalStep
        - tenderAttempts
        - value
        - valuePeriod
        - leaseDuration
        - guarantee
        - currentTenantGuaranteeFee
        - registrationFee
        - minNumberOfQualifiedBids
        - items
        - bankAccounts
        - auctionPeriod